<hr class="hidden-md-down">
<div class="panel panel-default col-12 p-0">
	<div class="panel-heading" role="tab" id="headingcomments">
		<p class="panel-title" data-toggle="collapse" data-parent="#accordion" data-target="#collapsecomments" aria-expanded="true" aria-controls="collapsecomments"><?= $this->t('comments')?> (<?= $this->com_count ?>)</p>
	</div>
	
	<div id="collapsecomments" class="panel-collapse collapse show" role="tabpanel" aria-labelledby="headingcomments">
		<div class="panel-body">
            <button class="btn btn-primary add_comment"> Add Comment </button>
            <? foreach($this->comments as $comment): ?>
				<div class="row escort-comments">
					<div class="escort-comment">
						<div class="col-12">
							<p>
								By:  
								<a class="underlined" href="<?= $this->getLink('member-info',array('username'=> $comment->username)) ?>">
									<strong><u><?=  $comment->username ?></u></strong>
								</a>
								<span>(<?= date("d M Y, H:i", strtotime($comment->time)); ?>, <?= $comment->comments_count ?> <?= __('comments') ?> <?= $comment->reviews_count ?  ", ".$comment->reviews_count." ". __('reviews') : "" ?>)</span>
							</p> 
						</div>
						<div class="col-12">
							<p class="text-justify"><?= $comment['message'] ?></p>
							<? foreach($comment['replied_comment'] as $rep_comment): ?>
								<div class="col-12 comment-reply">
									<p>
										By: 
										<a class="underlined" href="<?= $this->getLink('member-info',array('username'=> $rep_comment['username'])) ?>"><?=  $rep_comment['username'] ?></a> 
										<span>(<?= date("d M Y, H:i", strtotime($rep_comment['time'])); ?>, <?= $rep_comment['comments_count']." ". __('comments') ?>  <?= $rep_comment['reviews_count'] ?  ", ".$rep_comment['reviews_count']." ". __('reviews') : "" ?>)</span></span>
									</p>
								</div>
								<div class="col-12">
									<p class="text-justify"><?= $rep_comment['message'] ?></p>
								</div>	
							<? endforeach; ?>
						</div>
					</div>
				</div>
			<? endforeach; ?>
		</div>
	</div>
</div>
<input type="hidden" name="referrer" value="<?= $this->escort->showname . '-' . $this->escort->id ?>">

<div class="modal fade" id="add_comment_modal" tabindex="-1" role="dialog"
     aria-labelledby="add_comment_modalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title text-black" id="exampleModalLabel">Add Comment to <?= $this->escort->showname?>!</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form id="add_comment_form">
                <input type="hidden" name="escort_id" value="<?= $this->escort->id ;?>">
                <div class="modal-body">
                    <div class="form-group">
                        <label for="comment">Your Comment:</label>
                        <p id="comment_to_short" class="error text-danger"></p>
                        <textarea id="comment" type="text" name="comment" class="form-control" rows="5"></textarea>
                    </div>

                    <div class="form-group">
                        <p id="captcha_error" class="error text-danger"></p>
                        <div class="g-recaptcha" data-sitekey="6LepoyYUAAAAACCpSCw5toi7ajR5s00d9gIKf9hr"></div>
                        <? if ( isset($this->errors['captcha']) ): ?><span class="text-danger"><?= $this->errors['captcha'] ?></span><? endif ?>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button class="btn btn-primary" data-id="<?= $this->escort->id;?>">Ok / Save</button>
                </div>
            </form>
        </div>
    </div>
</div>